std::default_delete< _Tp >(3)

NAME
std::default_delete< _Tp > -

SYNOPSIS

  Public Member Functions
constexpr default_delete () noexcept=default
template<typename _Up , typename = typename enable_if<is_convertible<_Up*, _Tp*>::value>::type> default_delete (const default_delete< _Up > &) noexcept
void operator() (_Tp *__ptr) const

Detailed Description

  template<typename _Tp>struct std::default_delete< _Tp >
Primary template of default_delete, used by unique_ptr.

Definition at line 54 of file unique_ptr.h.

Constructor & Destructor Documentation

  template<typename _Tp> constexpr std::default_delete< _Tp >::default_delete () [default], [noexcept]

Default constructor.

  template<typename _Tp> template<typename _Up , typename = typename enable_if<is_convertible<_Up*, _Tp*>::value>::type> std::default_delete< _Tp >::default_delete (const default_delete< _Up > &) [inline], [noexcept]

Converting constructor. Allows conversion from a deleter for arrays of another type, _Up, only if _Up* is convertible to _Tp*.

Definition at line 66 of file unique_ptr.h.

Member Function Documentation

  template<typename _Tp> void std::default_delete< _Tp >::operator() (_Tp * __ptr) const [inline]

Calls delete __ptr.

Definition at line 70 of file unique_ptr.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.